from pymemri.data.schema import Account
from whatsapp.schema import MessageChannel


from scripts.helper import create_or_get, register_message, save_messages, client, add_photo
from scripts.messages import messages

user1 = create_or_get(Account, displayName="flutter-test117")
user2 = create_or_get(Account, displayName="flutter-test118")
channel = create_or_get(MessageChannel, name="asdf")

for msg in messages:
    register_message(user1, user2, channel, msg)
    user1, user2 = user2, user1
save_messages()


# image_url = "https://bellard.org/bpg/2.png"
# image2_url = "https://mutombojeanvincent.gallerycdn.vsassets.io/extensions/mutombojeanvincent/coolest-dark/0.0.1/1610841315326/Microsoft.VisualStudio.Services.Icons.Default"
# add_photo(user1, image_url)
# add_photo(user2, image2_url)


# messages = client.search({'type': 'Account', })
# print(messages)